Subject: Re: [bug#56213] [PATCH] gnu: Add maven-doxia-core
From: Julien Lepiller <[email-masked]>
To: "Artyom V. Poptsov" <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Jun 2022 22:25:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master as d039f9dc151eed8017a7f54682dbf713221b8005, thank you!

A few answers below:

Le Sat, 25 Jun 2022 15:14:58 +0300,
"Artyom V. Poptsov" <[email-masked]> a écrit :

> Hello Julien.
> 
> > Thanks for the patch!  
> 
> Thanks for taking your time for reviewing my patch.  :-)
> 
> > Missing full stop at the end of the subject line.  
> 
> Okay, added a full-stop.
> 
> FWIW, I'm usually following those rules when writing commit messages:
>   https://cbea.ms/git-commit/#end
> 
> The rules explicitly say that a committer should not add a full-stop
> at the end of the first line.

We follow our own rules that mandate a full stop. I thought I could
send you to the manual, but apart a vague mention of the ChangeLog
format, I can't find the rules. Have we always applied such strict
rules without writing them down properly?

> 
> However, 'guix lint' gave me the following warning:
> --8<---------------cut here---------------start------------->8---
> /home/avp/src/dist/guix/gnu/packages/maven.scm:3943:2:
> [email-masked]: propagated inputs [email-masked]
> and [email-masked] collide --8<---------------cut
> here---------------end--------------->8---
> 
> I don't know yet how to properly fix that; probably the issue is that
> I made all the inputs propagated, but I don't see how to differentiate
> them looking at the Doxia Core 'pom.xml'.

You can ignore these issues about parent poms. There's no real
collision except for the package name. No files in common between the
two packages, so that's fine. Nothing we can do anyway.